RedCrawler API
Subreddits V1

Post Requirements by Name V1

Get post requirements/rules for a subreddit. Requires bearer token.

GET /api/v1/communities/{name}/post-requirements

Get post requirements/rules for a subreddit. Requires bearer token.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name

Query parameters

NameTypeRequiredDescription
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX/post-requirements?bearer=<bearer>&proxy=<proxy>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX/post-requirements?bearer=<bearer>&proxy=<proxy>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX/post-requirements?bearer=<bearer>&proxy=<proxy>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "title_regexes": null,
    "body_blacklisted_strings": null,
    "title_blacklisted_strings": null,
    "body_text_max_length": null,
    "title_required_strings": null,
    "guidelines_text": "Is it:\n\nNot about SpaceX itself? See elsewhere!\n| Fan art? See r/SpaceXLounge!\n| A joke/meme? See r/SpaceXMasterrace!\n| Already posted? Post to the existing thread!\n| A question/discussion? Post to the Discuss thread!\n| A launch photo? Post to the Media thread!\n| About linked content? Post as a link!\n\nUse a good title, a clean link and text posts only for analysis (&gt;1000 characters).\n\nThanks!",
    "gallery_min_items": null,
    "domain_blacklist": null,
    "domain_whitelist": null,
    "title_text_max_length": null,
    "body_restriction_policy": "required",
    "link_restriction_policy": "none",
    "guidelines_display_policy": "all",
    "body_required_strings": null,
    "title_text_min_length": 10,
    "gallery_captions_requirement": "none",
    "is_flair_required": false,
    "gallery_max_items": null,
    "gallery_urls_requirement": "none",
    "body_regexes": [
      "([Cc]ampaign|[Ll]aunch|[Mm]edia|[Rr]ecovery) thread|[Ww]elcome to|If you have a short question|JUMP TO COMMENTS|[Dd]isable ?[Ll]ength ?[Cc]heck|AMA|[Aa]sk [Mm]e [Aa]nything|[\\s\\S]{1000,}"
    ],
    "link_repost_age": null,
    "body_text_min_length": null
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:00.561397+00:00"
}

On this page